# PetscLogSet

Sets the logging functions called at the beginning and ending of every event.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogSet(PetscErrorCode (*b)(PetscEvent, int, PetscObject, PetscObject, PetscObject, PetscObject),
                PetscErrorCode (*e)(PetscEvent, int, PetscObject, PetscObject, PetscObject, PetscObject))

Not Collective

### Input Parameters

| b | - The function called at beginning of event
| e | - The function called at end of event

### See Also

PetscLogDump(), PetscLogBegin(), PetscLogAllBegin(), PetscLogTraceBegin()

Level:developer
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages